package org.raydelto.calculadora.vista;

import java.awt.Rectangle;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.raydelto.calculadora.logica.Calculadora;

public class VentanaCalculadora extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JButton btnSumar = null;

	private JTextField txtNum1 = null;

	private JTextField txtNum2 = null;
	
	private Calculadora calculadora = null;

	/**
	 * This is the default constructor
	 */
	public VentanaCalculadora() {
		super();
		calculadora = new Calculadora();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(457, 294);
		this.setContentPane(getJContentPane());
		this.setTitle("Ventana Calculadora");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getBtnSumar(), null);
			jContentPane.add(getTxtNum1(), null);
			jContentPane.add(getTxtNum2(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes btnSumar	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getBtnSumar() {
		if (btnSumar == null) {
			btnSumar = new JButton();
			btnSumar.setBounds(new Rectangle(244, 96, 87, 30));
			btnSumar.setText("Sumar");
			btnSumar.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					int resultado = calculadora.sumar(Integer.parseInt(txtNum1.getText()),
											Integer.parseInt(txtNum2.getText()));
					JOptionPane.showMessageDialog(null, "El resultado es " +resultado,"Resultado" , 
							  JOptionPane.INFORMATION_MESSAGE);
				}
			});
		}
		return btnSumar;
	}

	/**
	 * This method initializes txtNum1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTxtNum1() {
		if (txtNum1 == null) {
			txtNum1 = new JTextField();
			txtNum1.setBounds(new Rectangle(29, 96, 87, 30));
		}
		return txtNum1;
	}

	/**
	 * This method initializes txtNum2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTxtNum2() {
		if (txtNum2 == null) {
			txtNum2 = new JTextField();
			txtNum2.setBounds(new Rectangle(129, 96, 87, 30));
		}
		return txtNum2;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
